<div class="filter-container" *ngIf="showSettingsWindow && !isReuse || openSettingsOnDemand()">
    <div class="filterontent">
        <div class="filter-main-header">

            <div class="row-one">
                <div class="main-head modal-header">
                    <div class="modal-title">Add/Remove Columns</div>
                    <div class="text-right close-btn">
                        <i class="ion ion-md-close" aria-hidden="true" (click)="cancelClick()"></i>
                    </div>
                </div>


            </div>

        </div>

        <div class="app-filter-content">
            <div class="row-one filter-header">
                <div class="w-100 px-3 pt-2" *ngIf="dataSources && dataSources.length >1">
                    <label class="form-label label-material">Data Source </label>
                    <ng-select placeholder="Select source" [allowClear]="false" [disabled]="!datamanager.isNewSheet"
                        (ngModelChange)="selectDataSource($event)" [options]="dataSources"
                        [(ngModel)]="selectedDataSource" class="data_source_select"></ng-select>
                </div>
                <!-- <div class="px-3 pt-2" style="border-left: 1px solid #ededed"
                    [ngClass]="dataSources && dataSources.length >1 ? 'col-title':'w-100'">
                    <label class="form-label label-material">Search</label>
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                        <span class="form-btn" *ngIf="searchText_removeCol != ''"
                            (click)="clearSearchText('removeCol')"><i class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div> -->
            </div>
            <div class="row-one filter-header">
                    <div class="w-100 px-3 pt-2" style="border-left: 1px solid #ededed">
                    <label class="form-label label-material">Search</label>
                    <div class="input-group">
                        <app-hint [id]="'add-remove-search'"></app-hint>

                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                        <span class="form-btn" *ngIf="searchText_removeCol != ''"
                            (click)="clearSearchText('removeCol')"><i class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>
            </div>
            <!-- <div class="row-two filter-header">
                <div class="col-title px-3 pb-3 pt-2">
                    <label class="form-label label-material">All Fields</label>
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                        <span class="form-btn" *ngIf="searchText_removeCol != ''"
                            (click)="clearSearchText('removeCol')"><i class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>

                <div class="col-title px-3 pb-3 pt-2" style="border-left: 1px solid #ededed">
                    <label class="form-label label-material">Selected Fields</label>
                    <div class="input-group">
                        <input class="form-control form-material" placeholder="Search for..." type="text"
                            [(ngModel)]="searchText_addCol" (keyup)="onSearchInput($event, 'addCol')">
                        <span class="form-btn" *ngIf="searchText_addCol != ''" (click)="clearSearchText('addCol')"><i
                                class="fa fa-times" aria-hidden="true"></i></span>
                    </div>
                </div>
            </div> -->
            <div class="row-two filter-header">
                <!-- For Filters -->
                <div style="height: 40px;position: relative" class="w-50">
                    <div class="w-100 px-3 pb-3 pt-2" style="height: 40px; overflow: hidden;">
                        <button *ngFor="let col of displayedDimensionColumns"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')"
                            class="btn btn-sm btn-primary btn-round mr-1 mb-2"
                            [ngClass]="{'active':selectedItem == col}">
                            <i class="ion ion-md-close" aria-hidden="true"
                                (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i>
                            {{seriesDict.get(col)}}
                        </button>
                    </div>
                    <div style="position: absolute;right:10px;height: 40px;border-left: 1px solid #ededed;top:0"
                        class="filter-header px-2 pt-2">
                        <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-left'" class="d-inline-flex">
                            <button class="btn btn-secondary btn-sm" [disabled]="displayedDimensionColumns.length==0"
                                [ngClass]="newIteminFilters" ngbDropdownToggle>{{displayedDimensionColumns.length}}
                                Total</button>
                            <div ngbDropdownMenu [class.dropdown-menu-right]="isRTL"
                                style="max-height: 400px;overflow:auto;">
                                <a class="dropdown-item" href="javascript:void(0)"
                                    (click)="settingsChange('remove', 'remove-start', col, 'dimension')"
                                    *ngFor="let col of displayedDimensionColumns"><i
                                        class="ion ion-md-close"></i>{{seriesDict.get(col)}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /For Filters -->
                <!-- For Metrics -->
                <div style="height: 40px;position: relative;border-left: 1px solid #ededed;" class="w-50">
                    <div class="w-100 px-3 pb-3 pt-2" style="height: 40px; overflow: hidden;">
                        <button *ngFor="let col of displayedMeasureColumns"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')"
                            class="btn btn-sm btn-primary btn-round mr-1 mb-2"
                            [ngClass]="{'active':selectedItem == col}">
                            <i class="ion ion-md-close" aria-hidden="true"
                                (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i>
                            {{seriesDict.get(col)}}
                        </button>
                    </div>
                    <div style="position: absolute;right:10px;height: 40px;border-left: 1px solid #ededed;top:0"
                        class="filter-header px-2 pt-2">
                        <div ngbDropdown [placement]="isRTL ? 'bottom-right' : 'bottom-right'" class="d-inline-flex">
                            <button class="btn btn-secondary btn-sm" [disabled]="displayedMeasureColumns.length==0"
                                [ngClass]="newIteminMetrics" ngbDropdownToggle>{{displayedMeasureColumns.length}}
                                Total</button>
                            <div ngbDropdownMenu [class.dropdown-menu-right]="true"
                                style="max-height: 400px;overflow:auto;">
                                <a class="dropdown-item" href="javascript:void(0)"
                                    (click)="settingsChange('remove', 'remove-start', col, 'measure')"
                                    *ngFor="let col of displayedMeasureColumns"><i
                                        class="ion ion-md-close"></i>{{seriesDict.get(col)}}</a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /For Metrics -->
                <!-- style="border-left: 1px solid #ededed;height: 40px" -->
                <!-- <div class="w-50 px-3 pb-3 pt-2 entity-scroll-view" [perfectScrollbar]
                   >
                    <button *ngFor="let col of displayedMeasureColumns"
                        (click)="settingsChange('remove', 'remove-start', col, 'dimension')"
                        class="btn btn-sm btn-primary mr-1 mb-2" [ngClass]="{'active':selectedItem == col}">
                        <i class="ion ion-md-close" aria-hidden="true"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i>
                        {{seriesDict.get(col)}}
                    </button>
                </div> -->
            </div>

            <div class="row-three">
                <div class="filter-list">
                    <div class="mx-3 px-2 py-2 mt-2"><b>Filters</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3">

                        <li class="list-group-item" *ngFor="let col of nonDisplayedDimensionColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('add', 'add-start', col, 'dimension')">
                            {{seriesDict.get(col)}}
                            <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                    (click)="settingsChange('add', 'add-start', col, 'dimension')"></i></span>
                        </li>
                    </ul>

                    <!-- <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">

                        <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('add', 'add-start', col, 'measure')">
                            {{seriesDict.get(col)}}
                            <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                    (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                        </li>
                    </ul> -->
                </div>

                <div class="filter-list">
                    <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">

                        <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('add', 'add-start', col, 'measure')">
                            {{seriesDict.get(col)}}
                            <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                                    (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                        </li>
                    </ul>
                    <!-- <div class="mx-3 px-2 py-2 mt-2"><b>Filters</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3">

                        <li class="list-group-item" *ngFor="let col of displayedDimensionColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                                    (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i></span>
                        </li>
                    </ul>

                    <div class="mx-3 px-2 py-2 mt-2"><b>Metrics</b></div>
                    <ul class="list-group p-0 mt-0 ml-3 mr-3 mb-4">
                        <li class="list-group-item" *ngFor="let col of displayedMeasureColumns"
                            [ngClass]="{'active':selectedItem == col}"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')">
                            {{seriesDict.get(col)}}
                            <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                                    (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i></span>
                        </li>
                    </ul> -->
                </div>
            </div>

        </div>

        <div class="app-filter-btn modal-footer">
            <span class="warning-text">{{warningText}}</span>
            <button _ngcontent-c9="" class="btn btn-default device-btn" type="button"
                (click)="cancelClick()">Cancel</button>
            <button _ngcontent-c9="" class="btn device-btn" [ngClass]="canApply ? 'btn-primary': 'btn-primary'"
                type="button" (click)="applyClick()">Apply</button>
        </div>

    </div>
</div>

<!-- New Analysis -->

<div *ngIf="isReuse" class="app-filter-content" style='width:100% !important'>

    <div class="row-two filter-header">
        <div class="col-title">
            <h5>All Fields</h5>
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text"
                    [(ngModel)]="searchText_removeCol" (keyup)="onSearchInput($event, 'removeCol')">
                <span class="form-btn" *ngIf="searchText_removeCol != ''" (click)="clearSearchText('removeCol')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>
            </div>
        </div>
        <div class="col-title">
            <h5>Selected Fields</h5>
            <div class="input-group">
                <input class="form-control form-material" placeholder="Search for..." type="text"
                    [(ngModel)]="searchText_addCol" (keyup)="onSearchInput($event, 'addCol')">
                <span class="form-btn" *ngIf="searchText_addCol != ''" (click)="clearSearchText('addCol')"><i
                        class="fa fa-times" aria-hidden="true"></i></span>
            </div>
        </div>
    </div>


    <div class="row-three">
        <div class="filter-list list-row-split">
            <span class="ml-2"><b>Filters</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of nonDisplayedDimensionColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('add', 'add-start', col, 'dimension')">
                    {{seriesDict.get(col)}}
                    <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                            (click)="settingsChange('add', 'add-start', col, 'dimension')"></i></span>
                </li>
            </ul>

            <span class="ml-2"><b>Metrics</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of nonDisplayedMeasureColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('add', 'add-start', col, 'measure')">
                    {{seriesDict.get(col)}}
                    <span class="float-right icon-add"><i class="fa fa-plus" aria-hidden="true"
                            (click)="settingsChange('add', 'add-start', col, 'measure')"></i></span>
                </li>
            </ul>
        </div>

        <div class="filter-list list-row-split">
            <span class="ml-2"><b>Filters</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of displayedDimensionColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('remove', 'remove-start', col, 'dimension')">
                    {{seriesDict.get(col)}}
                    <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                            (click)="settingsChange('remove', 'remove-start', col, 'dimension')"></i></span>
                </li>
            </ul>

            <span class="ml-2"><b>Metrics</b></span>
            <ul class="list-group">
                <li class="list-group-item" *ngFor="let col of displayedMeasureColumns"
                    [ngClass]="{'active':selectedItem == col}"
                    (click)="settingsChange('remove', 'remove-start', col, 'measure')">
                    {{seriesDict.get(col)}}
                    <span class=" float-right icon-rmv"><i class="fa fa-times" aria-hidden="true"
                            (click)="settingsChange('remove', 'remove-start', col, 'measure')"></i></span>
                </li>
            </ul>
        </div>
    </div>

</div>


<!-- New Analysis -->
<!-- ADD REMOVE COLUM -->